Subject: Re: bug#21509: 25.0.50; X11 error: BadPixmap when creating first emacsclient frame; and memory leak

From: martin rudalics <[email-masked]>
Date: Mon, 16 Oct 2017 09:42:09 +0200

> Setting it to 8000k, we observe an initial steep climb of ~8000k, at
 > which point the gc kicks in, and we start leaking at the same rate as
 > the 80k,800k cases, albeit with a ~8000k offset. I think the initial
 > climb makes sense to me, but not the offset. Does it make sense to you?

Do you mean the apparent fact that the value of cons threshold affects
the Resident Set Size?

What surprises me is that both 800K cons-threshold runs apparently start
with a considerable lower memory consumption (around 20000 kB) than the
80k and 8000k runs.

martin